Subject: Re: bug#68927: CapsLock gets toggled by a frozen Emacs even if that's supposed to be prevented by a third party app

From: Nikolay Kudryavtsev <[email-masked]>
Date: Mon, 5 Feb 2024 15:45:13 +0300

> Why are you saying that CapsLock should not toggle in this case?  What
> prevents it from toggling in this scenario?

Because I normally use CapsLock to toggle between keyboard layouts. 
External software like Mahou is what facilitates that and what should 
prevent the CapsLock itself from toggling. And it normally does, except 
for when Emacs gets busy with something.

Since I switch between layouts all the time I've noticed that I 
sometimes get those unwanted CapsLock toggles from time to time when 
using Emacs. Then eventually I've noticed that they only happens if I 
try to switch layout while Emacs is busy.